OpenTTD Source: CYapfRegion_TypesT< Tpf_, Tnode_list > Struct Template Reference

OpenTTD Source 15.0-beta1

Public Types
CYapfRegion_TypesT< Tpf_, Tnode_list > Struct Template Reference

Config struct of YAPF for route planning. More...

## Public Types
typedef CYapfRegion_TypesT< Tpf_, Tnode_list > | Types
| Shortcut for this struct type.
typedef Tpf_ | Tpf
| Pathfinder type.
typedef DummyFollower | TrackFollower
| Track follower helper class.
typedef Tnode_list | NodeList
typedef Ship | VehicleType
typedef CYapfBaseT< Types > | PfBase
| Pathfinder components (modules).
typedef CYapfFollowRegionT< Types > | PfFollow
| Node follower.
typedef CYapfOriginRegionT< Types > | PfOrigin
| Origin provider.
typedef CYapfDestinationRegionT< Types > | PfDestination
| Destination/distance provider.
typedef CYapfSegmentCostCacheNoneT< Types > | PfCache
| Segment cost cache provider.
typedef CYapfCostRegionT< Types > | PfCost
| Cost provider.

## Detailed Description

template<class Tpf_, class Tnode_list>
struct CYapfRegion_TypesT< Tpf_, Tnode_list >

Config struct of YAPF for route planning.

Defines all 6 base YAPF modules as classes providing services for CYapfBaseT.

Definition at line 266 of file yapf_ship_regions.cpp.

## Member Typedef Documentation

## ◆ NodeList

template<class Tpf_ , class Tnode_list >

typedef Tnode_list CYapfRegion_TypesT< Tpf_, Tnode_list >::NodeList

Definition at line 271 of file yapf_ship_regions.cpp.

## ◆ PfBase

template<class Tpf_ , class Tnode_list >

typedef CYapfBaseT<Types> CYapfRegion_TypesT< Tpf_, Tnode_list >::PfBase

Pathfinder components (modules).

Base pathfinder class.

Definition at line 275 of file yapf_ship_regions.cpp.

## ◆ PfCache

template<class Tpf_ , class Tnode_list >

typedef CYapfSegmentCostCacheNoneT<Types> CYapfRegion_TypesT< Tpf_, Tnode_list >::PfCache

Segment cost cache provider.

Definition at line 279 of file yapf_ship_regions.cpp.

## ◆ PfCost

template<class Tpf_ , class Tnode_list >

typedef CYapfCostRegionT<Types> CYapfRegion_TypesT< Tpf_, Tnode_list >::PfCost

Cost provider.

Definition at line 280 of file yapf_ship_regions.cpp.

## ◆ PfDestination

template<class Tpf_ , class Tnode_list >

typedef CYapfDestinationRegionT<Types> CYapfRegion_TypesT< Tpf_, Tnode_list >::PfDestination

Destination/distance provider.

Definition at line 278 of file yapf_ship_regions.cpp.

## ◆ PfFollow

template<class Tpf_ , class Tnode_list >

typedef CYapfFollowRegionT<Types> CYapfRegion_TypesT< Tpf_, Tnode_list >::PfFollow

Node follower.

Definition at line 276 of file yapf_ship_regions.cpp.

## ◆ PfOrigin

template<class Tpf_ , class Tnode_list >

typedef CYapfOriginRegionT<Types> CYapfRegion_TypesT< Tpf_, Tnode_list >::PfOrigin

Origin provider.

Definition at line 277 of file yapf_ship_regions.cpp.

## ◆ Tpf

template<class Tpf_ , class Tnode_list >

typedef Tpf_ CYapfRegion_TypesT< Tpf_, Tnode_list >::Tpf

Pathfinder type.

Definition at line 269 of file yapf_ship_regions.cpp.

## ◆ TrackFollower

template<class Tpf_ , class Tnode_list >

typedef DummyFollower CYapfRegion_TypesT< Tpf_, Tnode_list >::TrackFollower

Track follower helper class.

Definition at line 270 of file yapf_ship_regions.cpp.

## ◆ Types

template<class Tpf_ , class Tnode_list >

typedef CYapfRegion_TypesT<Tpf_, Tnode_list> CYapfRegion_TypesT< Tpf_, Tnode_list >::Types

Shortcut for this struct type.

Definition at line 268 of file yapf_ship_regions.cpp.

## ◆ VehicleType

template<class Tpf_ , class Tnode_list >

typedef Ship CYapfRegion_TypesT< Tpf_, Tnode_list >::VehicleType

Definition at line 272 of file yapf_ship_regions.cpp.

The documentation for this struct was generated from the following file:

- src/pathfinder/yapf/yapf_ship_regions.cpp